Bug 1273788 - Web Designer does not support variable definitions using generics
Web Designer does not support variable definitions using generics
Status: ASSIGNED
Product: JBoss BPMS Platform 6
Classification: JBoss
Component: jBPM Designer (Show other bugs)
6.1.0
Unspecified Unspecified
medium Severity unspecified
: ---
: ---
Assigned To: Tihomir Surdilovic
Kirill Gaevskii
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-21 04:49 EDT by Anton Giertli
Modified: 2016-01-08 16:56 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Enhancement
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Anton Giertli 2015-10-21 04:49:11 EDT
Description of problem:

$subject

Version-Release number of selected component (if applicable):
6.1.3

How reproducible:
always

Steps to Reproduce:
1. Create new process
2. Add process variable with following Custom Type:
java.util.Map<String,Object>
After re-opening the Variable Definition section, it is deformed:
https://ctrlv.cz/shots/2015/10/21/ol06.png
3. After saving and re-opening the whole process, all hell breaks lose:
https://ctrlv.cz/shots/2015/10/21/x9a0.png

Actual results:

Web Designer does not support variable definitions using generics

Expected results:

Web Designer supports variable definitions using generics

Additional info:

Note You need to log in before you can comment on or make changes to this bug.